'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var env = require('../common/env.js');

const fetch = env.isBrowser() ? globalThis.fetch.bind(window) : require('node-fetch');
class DefaultHttpClient {
  fetchFn;

  constructor(fetchFn = fetch) {
    this.fetchFn = fetchFn;
  }

  async get(url, options = {}) {
    const result = await this.fetchFn(url, options);
    return await result.json();
  }

}

exports.DefaultHttpClient = DefaultHttpClient;
exports.fetch = fetch;
//# sourceMappingURL=http-client.js.map
