import { RestApi } from './rest-api';
import { ChangeRequestCreateParams } from './websocket/internal/request';
import { ScrapboxWebsocketHandler } from './websocket/websocket-handler';
export declare class ScrapboxApi {
    private readonly restApi;
    private readonly websocketHandler;
    constructor(token?: string, debug?: boolean, restApi?: RestApi, websocketHandler?: ScrapboxWebsocketHandler);
    getPage(projectName: string, pageName: string): Promise<import("./rest-api/types").Page>;
    changeLine(projectName: string, pageName: string, change: ChangeRequestCreateParams | ChangeRequestCreateParams[]): Promise<import("./websocket/internal/message").ParsedMessage>;
    getUser(): Promise<import("./rest-api/types").Me>;
    private getProject;
    private getPageIdAndCommitId;
    private commit;
}
