import { ChangeRequestCreateParams } from './internal/request';
export declare class ScrapboxWebsocketHandler {
    private readonly options;
    private socket$;
    private room;
    private sid;
    constructor(options: {
        token?: string;
        autoOpen?: boolean;
        autoReconnect?: boolean;
        debug?: boolean;
    });
    commit({ projectId, userId, pageId, parentId, changes, }: {
        projectId: string;
        userId: string;
        pageId: string;
        parentId: string;
        changes: ChangeRequestCreateParams[];
    }): Promise<import("./internal/message").ParsedMessage>;
    join({ projectId, pageId }: {
        projectId: string;
        pageId: string;
    }): Promise<void>;
    private send;
    private getSocket;
    private openNewSocket;
}
