import { Observable } from 'rxjs';
import type NodeWebSocket from 'ws';
export interface MessageDeserializer<T = MessageEvent | NodeWebSocket.MessageEvent, U = any> {
    (event: T): U;
}
export interface MessageSerializer<T = any, U = any> {
    (event: T): U;
}
export declare class RxWebSocket {
    private readonly websocket;
    private readonly opened$;
    private readonly events$;
    private readonly serializer;
    private readonly deserializer;
    private readonly debug;
    constructor({ url, protocols, options, serializer, deserializer, debug, }: {
        url: string;
        protocols?: string | string[];
        options?: NodeWebSocket.ClientOptions;
        serializer?: MessageSerializer;
        deserializer?: MessageDeserializer;
        debug?: boolean;
    });
    get active(): boolean;
    get message(): Observable<any>;
    send(data: string): Observable<any>;
}
